Debian Bug report logs - #437177
RFP: ta-lib -- common functions for the technical analysis of financial market data

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marco van Zwetselaar <zwets@zwets.com>

Date: Fri, 10 Aug 2007 21:27:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, marco van zwetselaar <zwets@zwets.com>:
Bug#437177; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marco van Zwetselaar <zwets@zwets.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, marco van zwetselaar <zwets@zwets.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco van Zwetselaar <zwets@zwets.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ta-lib -- common functions for the technical analysis of financial market data
Date: Fri, 10 Aug 2007 23:25:06 +0200
Package: wnpp
Severity: wishlist
Owner: Marco van Zwetselaar <zwets@zwets.com>


* Package name    : ta-lib
  Version         : 0.3.0
  Upstream Author : Mario Fortier <mfortier@ta-lib.org>
* URL             : http://www.ta-lib.org/
* License         : BSD
  Programming Lang: C/C++
  Description     : common functions for the technical analysis of financial market data

TA-Lib is a set of libraries providing common functions for the
technical analysis of financial market data. It contains over 130
TA indicators and offers candlestick pattern recognition.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, marco van zwetselaar <zwets@zwets.com>:
Bug#437177; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Pradier <day@supertroll.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, marco van zwetselaar <zwets@zwets.com>. Full text and rfc822 format available.

Message #10 received at 437177@bugs.debian.org (full text, mbox):

From: David Pradier <day@supertroll.org>
To: 437177@bugs.debian.org
Subject: qtstalker
Date: Mon, 20 Aug 2007 10:25:10 +0200
Hi,

ta-lib is necessary for the upgrade of qtstalker, which is currently at
the 0.32 version.

It would be useful to bump its version to 0.34 as the changelog (0.33)
mentions things such as :
"20060620: Fixed bug in Tester that did not calculate account balances
properly as trades
are made. We always ended up with a few 100 more unexplained dollars."

Which is a fatal problem for a trading system.

So the severity could be seen not as a wish, but as a bug.

Greetings,
Day

-- 
David Pradier



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, marco van zwetselaar <zwets@zwets.com>:
Bug#437177; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marco van Zwetselaar <zwets@zwets.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, marco van zwetselaar <zwets@zwets.com>. Full text and rfc822 format available.

Message #15 received at 437177@bugs.debian.org (full text, mbox):

From: Marco van Zwetselaar <zwets@zwets.com>
To: David Pradier <day@supertroll.org>, 437177@bugs.debian.org
Cc: 429827@bugs.debian.org, Joe Nahmias <jello@debian.org>
Subject: Re: Bug#437177: qtstalker
Date: Wed, 22 Aug 2007 02:39:39 +0200
David Pradier wrote:
> ta-lib is necessary for the upgrade of qtstalker, which is 
> currently at the 0.32 version.
> 
> It would be useful to bump its version to 0.34 as the 
> changelog (0.33) mentions things such as :
> "20060620: Fixed bug in Tester that did not calculate
> account balances properly as trades are made.
> We always ended up with a few 100 more unexplained
> dollars."
>
> Which is a fatal problem for a trading system.

Depends on which side the balance ends ;-)

> So the severity could be seen not as a wish, but as a bug.

Agreed, but the bug lies with the qtstalker package, which
should upgrade to 0.34.  See bug #429827.

The bug you are sending this info to (#437177) is only the
ITP for TA-Lib.  This just states my intention to package
(= ITP) TA-Lib.  ITP bugs are always of wishlist severity.

FYI: Qtstalker 0.34 is almost ready.

Best regards,
Marco




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, marco van zwetselaar <zwets@zwets.com>:
Bug#437177; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marco van Zwetselaar <zwets@zwets.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, marco van zwetselaar <zwets@zwets.com>. Full text and rfc822 format available.

Message #20 received at 437177@bugs.debian.org (full text, mbox):

From: Marco van Zwetselaar <zwets@zwets.com>
To: 437177@bugs.debian.org
Subject: ta-lib packaged and waiting for upload by sponsor
Date: Fri, 24 Aug 2007 01:43:51 +0200
I have just finished packaging ta-lib v0.3.0.
The packages are waiting for approval by my Debian sponsor.

The packages have been uploaded to mentors.debian.net.
The are also apt-gettable from my site.  Instructions
are at http://www.zwets.com/ta-lib.

Will mark this ITP bug as pending.





Tags added: pending Request was from Marco van Zwetselaar <zwets@zwets.com> to control@bugs.debian.org. (Thu, 23 Aug 2007 23:51:03 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marco van Zwetselaar <zwets@zwets.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 437177-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 437177-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sun, 24 Aug 2008 11:59:36 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 437177
 stop

Further comments on the work done in the bug sent to
437177@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from Marco van Zwetselaar <zwets@zwets.com> to control@bugs.debian.org. (Sun, 24 Aug 2008 22:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, marco van zwetselaar <zwets@zwets.com>:
Bug#437177; Package wnpp. (Mon, 24 May 2010 19:10:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, marco van zwetselaar <zwets@zwets.com>. (Mon, 24 May 2010 19:10:39 GMT) Full text and rfc822 format available.

Message #34 received at 437177@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 437177@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ta-lib: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:05:57 +0000
retitle 437177 RFP: ta-lib -- common functions for the technical analysis of financial market data
noowner 437177
thanks

Hi,

This is an automatic email to change the status of ta-lib back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting ta-lib, please send a mail to
<control@bugs.debian.org> with:

 retitle 437177 ITP: ta-lib -- common functions for the technical analysis of financial market data
 owner 437177 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <437177@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: ta-lib -- common functions for the technical analysis of financial market data' from 'ITP: ta-lib -- common functions for the technical analysis of financial market data' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:21:56 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by marco van zwetselaar <zwets@zwets.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:21:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, zwets@zwets.com, ', zwets@zwets.com, wnpp@debian.org:
Bug#437177; Package wnpp. (Thu, 19 May 2011 12:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, zwets@zwets.com, ', zwets@zwets.com, wnpp@debian.org. (Thu, 19 May 2011 12:27:21 GMT) Full text and rfc822 format available.

Message #43 received at 437177@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <437177@bugs.debian.org>
Subject: Re: ta-lib -- common functions for the technical analysis of financial market data
Date: Thu, 19 May 2011 14:17:12 +0200
Package: wnpp
Severity: wishlist
Owner: "Ondřej Surý" <ondrej@debian.org>

Marco,

I'll be your sponsor, but you have to fix current lintian errors and warnings:

$ lintian ta-lib_0.4.0-2.1_amd64.changes 
E: ta-lib source: weak-library-dev-dependency ta-lib0-dev on libta-lib0 (>= ${binary:Version})
W: ta-lib source: debhelper-but-no-misc-depends libta-lib0
W: ta-lib source: debhelper-but-no-misc-depends ta-lib0-dev
W: ta-lib0-dev: copyright-refers-to-deprecated-bsd-license-file
W: libta-lib0: copyright-refers-to-deprecated-bsd-license-file

Update policy and debhelper compat level to current versions.

And fix bashisms in debian/rules, here's the patch:

diff --git a/debian/rules b/debian/rules
index 4380e73..cd0e285 100755
--- a/debian/rules
+++ b/debian/rules
@@ -67,9 +67,11 @@ install:     build
 install-examples:
                mkdir -p $(TMPDIR)/examples/ta_regtest
                cp -a $(CURDIR)/debian/examples/ta_regtest/* \
-                     $(CURDIR)/src/tools/ta_regtest/*.{c,h} \
+                     $(CURDIR)/src/tools/ta_regtest/*.h \
+                     $(CURDIR)/src/tools/ta_regtest/*.c \
                      $(CURDIR)/src/tools/ta_regtest/ta_test_func \
-                     $(CURDIR)/src/ta_common/ta_{global,memory}.h \
+                     $(CURDIR)/src/ta_common/ta_global.h \
+                     $(CURDIR)/src/ta_common/ta_memory.h \
                      $(CURDIR)/src/ta_func/ta_utility.h \
                   $(TMPDIR)/examples/ta_regtest
                (cd $(TMPDIR)/examples && tar -czf ta_regtest.tgz ta_regtest)


O.




Changed Bug title to 'ITP: ta-lib -- common functions for the technical analysis of financial market data' from 'RFP: ta-lib -- common functions for the technical analysis of financial market data' Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Thu, 17 May 2012 15:15:06 GMT) Full text and rfc822 format available.

Owner recorded as Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Thu, 17 May 2012 15:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#437177; Package wnpp. (Mon, 21 May 2012 04:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <dmitry.smirnov@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Mon, 21 May 2012 04:27:06 GMT) Full text and rfc822 format available.

Message #52 received at 437177@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <dmitry.smirnov@member.fsf.org>
To: 437177@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ta-lib: changing back from ITP to RFP
Date: Mon, 21 May 2012 14:23:12 +1000
[Message part 1 (text/plain, inline)]
retitle 437177 RFP: ta-lib -- common functions for the technical
analysis of financial market data
noowner 437177
--

I was packaging 'ta-lib' in order to upload newer 'qtstalker' but
given its current status and lack of upstream activity it makes more
sense to remove 'qtstalker' in which case packaging of 'ta-lib' will
not be necessary.

Therefore I withdraw my intention to package 'ta-lib' and attaching
results of my effort.

Regards,
Dmitry.
[ta-lib-debian.tar.xz (application/octet-stream, attachment)]

Changed Bug title to 'RFP: ta-lib -- common functions for the technical' from 'ITP: ta-lib -- common functions for the technical analysis of financial market data' Request was from Dmitry Smirnov <dmitry.smirnov@member.fsf.org> to control@bugs.debian.org. (Mon, 21 May 2012 04:27:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <dmitry.smirnov@member.fsf.org> to control@bugs.debian.org. (Mon, 21 May 2012 04:27:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: ta-lib -- common functions for the technical analysis of financial market data' from 'RFP: ta-lib -- common functions for the technical' Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Mon, 21 May 2012 04:33:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 07:01:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.